--jp_addresses

--total rows

select count(*) from extended_lookup.jp_addresses;

--gaps is sequence
--this query gives the min # of the missing sequence range & last + 1 seq #
--example: if a table has seq 1,2,6,7 , this query gives 3 and 8

select t1.seq +1 from extended_lookup.jp_addresses t1 where not exists 
	(select * from extended_lookup.jp_addresses t2 where t2.seq=t1.seq+1);

--unique rows
select distinct address1,address2,locality,city, postcode from extended_lookup.jp_addresses;

--duplicate rows
select address1 from extended_lookup.jp_addresses group by address1,address2,locality,city, postcode having count(*)>1;

--rows with -1,-2,-3,-4

select seq from extended_lookup.jp_addresses where seq in (-1,-2,-3,-4);



--jp_firstname_f

--total rows

select count(*) from extended_lookup.jp_firstname_f;

--gaps is sequence
--this query gives the min # of the missing sequence range & last + 1 seq #
--example: if a table has seq 1,2,6,7 , this query gives 3 and 8

select t1.seq +1 from extended_lookup.jp_firstname_f t1 where not exists 
	(select * from extended_lookup.jp_firstname_f t2 where t2.seq=t1.seq+1);

--unique rows
select distinct firstname from extended_lookup.jp_firstname_f;

--duplicate rows
select firstname from extended_lookup.jp_firstname_f group by firstname having count(*)>1;

--rows with -1,-2,-3,-4

select seq from extended_lookup.jp_firstname_f where seq in (-1,-2,-3,-4);



--jp_firstname_m

--total rows

select count(*) from extended_lookup.jp_firstname_m;

--gaps is sequence
--this query gives the min # of the missing sequence range & last + 1 seq #
--example: if a table has seq 1,2,6,7 , this query gives 3 and 8

select t1.seq +1 from extended_lookup.jp_firstname_m t1 where not exists 
	(select * from extended_lookup.jp_firstname_m t2 where t2.seq=t1.seq+1);

--unique rows
select distinct firstname from extended_lookup.jp_firstname_m;

--duplicate rows
select firstname from extended_lookup.jp_firstname_m group by firstname having count(*)>1;

--rows with -1,-2,-3,-4

select seq from extended_lookup.jp_firstname_m where seq in (-1,-2,-3,-4);



--jp_firstname

--total rows

select count(*) from extended_lookup.jp_firstname;

--gaps is sequence
--this query gives the min # of the missing sequence range & last + 1 seq #
--example: if a table has seq 1,2,6,7 , this query gives 3 and 8

select t1.seq +1 from extended_lookup.jp_firstname t1 where not exists 
	(select * from extended_lookup.jp_firstname t2 where t2.seq=t1.seq+1);

--unique rows
select distinct firstname from extended_lookup.jp_firstname;

--duplicate rows
select firstname from extended_lookup.jp_firstname group by firstname having count(*)>1;

--rows with -1,-2,-3,-4

select seq from extended_lookup.jp_firstname where seq in (-1,-2,-3,-4);



--jp_lastname

--total rows

select count(*) from extended_lookup.jp_lastname;

--gaps is sequence
--this query gives the min # of the missing sequence range & last + 1 seq #
--example: if a table has seq 1,2,6,7 , this query gives 3 and 8

select t1.seq +1 from extended_lookup.jp_lastname t1 where not exists 
	(select * from extended_lookup.jp_lastname t2 where t2.seq=t1.seq+1);

--unique rows
select distinct lastname from extended_lookup.jp_lastname;

--duplicate rows
select lastname from extended_lookup.jp_lastname group by lastname having count(*)>1;

--rows with -1,-2,-3,-4

select seq from extended_lookup.jp_lastname where seq in (-1,-2,-3,-4);



--jp_person

--total rows

select count(*) from extended_lookup.jp_person;

--gaps is sequence
--this query gives the min # of the missing sequence range & last + 1 seq #
--example: if a table has seq 1,2,6,7 , this query gives 3 and 8

select t1.seq +1 from extended_lookup.jp_person t1 where not exists 
	(select * from extended_lookup.jp_person t2 where t2.seq=t1.seq+1);

--unique rows
select distinct id,firstname,lastname,company, nationalid, sex, phone, birthdate, email_address  from extended_lookup.jp_person;

--duplicate rows
select firstname from extended_lookup.jp_person group by id,firstname,lastname,company, nationalid, sex, phone, birthdate, email_address having count(*)>1;

--rows with -1,-2,-3,-4

select seq from extended_lookup.jp_person where seq in (-1,-2,-3,-4);